Package org.spongepowered.asm.mixin.injection.struct

## Class ModifyConstantInjectionInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo
  - - org.spongepowered.asm.mixin.struct.SpecialMethodInfo
    - - org.spongepowered.asm.mixin.injection.struct.InjectionInfo
      - - org.spongepowered.asm.mixin.injection.struct.ModifyConstantInjectionInfo

- All Implemented Interfaces:
    `ISliceContext`, `IInjectionPointContext`, `ISelectorContext`, `IMessageSink`

      public class ModifyConstantInjectionInfo
      extends InjectionInfo

  Information about a constant modifier injector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `InjectionInfo.AnnotationType, InjectionInfo.HandlerPrefix, InjectionInfo.InjectorOrder`

  - ### Field Summary

    - ### Fields inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `activities, atKey, group, injectionPointAnnotations, injectionPoints, injector, isStatic, slices, targetCount, targetNodes, targets`

    - ### Fields inherited from class org.spongepowered.asm.mixin.struct.SpecialMethodInfo

      `classNode, mixin`

    - ### Fields inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

      `annotation, annotationType, method, methodName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModifyConstantInjectionInfo​(MixinTargetContext mixin, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AnnotationNode annotation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDescription()` |
    `java.lang.String` | `getSliceId​(java.lang.String id)` | Return the mapped slice id for the specified ID.
    `protected void` | `parseInjectionPoints​(java.util.List<org.objectweb.asm.tree.AnnotationNode> ats)` |
    `protected Injector` | `parseInjector​(org.objectweb.asm.tree.AnnotationNode injectAnnotation)` |
    `protected void` | `readInjectionPoints()` |

    - ### Methods inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `addCallbackInvocation, addMessage, addMethod, getInjectedCallbackCount, getInjectorAnnotation, getInjectorPrefix, getMessages, getOrder, getRegisteredAnnotations, getSlice, getTargetCount, inject, isValid, notifyInjected, parse, parseOrder, parseRequirements, parseSelectors, postInject, preInject, prepare, readAnnotation, register, toString`

    - ### Methods inherited from class org.spongepowered.asm.mixin.struct.SpecialMethodInfo

      `getClassInfo, getClassNode, getMethodName, getTargetClassInfo, getTargetClassNode`

    - ### Methods inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

      `getAnnotation, getAnnotationNode, getDynamicInfo, getDynamicInfo, getDynamicInfo, getElementDescription, getMethod, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.IInjectionPointContext

      `getAnnotationNode, getMethod`

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ISelectorContext

      `getAnnotation, getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

- - ### Constructor Detail

    - #### ModifyConstantInjectionInfo

          public ModifyConstantInjectionInfo​(MixinTargetContext mixin,
                                             org.objectweb.asm.tree.MethodNode method,
                                             org.objectweb.asm.tree.AnnotationNode annotation)

  - ### Method Detail

    - #### readInjectionPoints

          protected void readInjectionPoints()

      Overrides:
        `readInjectionPoints` in class `InjectionInfo`

    - #### parseInjectionPoints

          protected void parseInjectionPoints​(java.util.List<org.objectweb.asm.tree.AnnotationNode> ats)

      Overrides:
        `parseInjectionPoints` in class `InjectionInfo`

    - #### parseInjector

          protected Injector parseInjector​(org.objectweb.asm.tree.AnnotationNode injectAnnotation)

      Specified by:
        `parseInjector` in class `InjectionInfo`

    - #### getDescription

          protected java.lang.String getDescription()

      Overrides:
        `getDescription` in class `InjectionInfo`

    - #### getSliceId

          public java.lang.String getSliceId​(java.lang.String id)

      Description copied from class: `InjectionInfo`
      Return the mapped slice id for the specified ID. Injectors which only support use of a single slice will always return the default id (an empty string)
      Overrides:
        `getSliceId` in class `InjectionInfo`
      Parameters:
        `id` - slice id
      Returns:
        mapped id